public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: www-misc/zoneminder/
@ 2015-12-08 18:54 Brian Evans
  0 siblings, 0 replies; 9+ messages in thread
From: Brian Evans @ 2015-12-08 18:54 UTC (permalink / raw
  To: gentoo-commits

commit:     0f0b76b65413adc77832f28149f6c1abd11b7c8b
Author:     Brian Evans <grknight <AT> gentoo <DOT> org>
AuthorDate: Tue Dec  8 18:45:46 2015 +0000
Commit:     Brian Evans <grknight <AT> gentoo <DOT> org>
CommitDate: Tue Dec  8 18:45:46 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0f0b76b6

www-misc/zoneminder: Remove depend.php from inherit wrt bug 552840

This simply replaces the function call with the dep it was adding.
No effective dep changes.

Package-Manager: portage-2.2.26

 www-misc/zoneminder/zoneminder-1.27.0.ebuild | 8 ++++----
 www-misc/zoneminder/zoneminder-1.28.0.ebuild | 6 +++---
 www-misc/zoneminder/zoneminder-1.28.1.ebuild | 6 +++---
 3 files changed, 10 insertions(+), 10 deletions(-)

diff --git a/www-misc/zoneminder/zoneminder-1.27.0.ebuild b/www-misc/zoneminder/zoneminder-1.27.0.ebuild
index 7870564..a5f3fc6 100644
--- a/www-misc/zoneminder/zoneminder-1.27.0.ebuild
+++ b/www-misc/zoneminder/zoneminder-1.27.0.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2014 Gentoo Foundation
+# Copyright 1999-2015 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 # $Id$
 
@@ -19,7 +19,7 @@ EAPI=5
 
 PERL_EXPORT_PHASE_FUNCTIONS=no
 
-inherit perl-module readme.gentoo eutils base cmake-utils depend.php depend.apache multilib flag-o-matic
+inherit perl-module readme.gentoo eutils base cmake-utils depend.apache multilib flag-o-matic
 
 MY_PN="ZoneMinder"
 
@@ -45,6 +45,7 @@ DEPEND="
 	dev-perl/libwww-perl
 	sys-libs/zlib
 	virtual/ffmpeg
+	virtual/httpd-php
 	virtual/jpeg
 	virtual/mysql
 	virtual/perl-ExtUtils-MakeMaker
@@ -63,7 +64,6 @@ RDEPEND="${DEPEND}"
 # we cannot use need_httpd_cgi here, since we need to setup permissions for the
 # webserver in global scope (/etc/zm.conf etc), so we hardcode apache here.
 need_apache
-need_php_httpd
 
 S=${WORKDIR}/${MY_PN}-${PV}
 
@@ -74,7 +74,7 @@ PATCHES=(
 MY_ZM_WEBDIR=/usr/share/zoneminder/www
 
 pkg_setup() {
-	require_php_with_use mysql sockets apache2
+	:
 }
 
 src_configure() {

diff --git a/www-misc/zoneminder/zoneminder-1.28.0.ebuild b/www-misc/zoneminder/zoneminder-1.28.0.ebuild
index 0168b2a..4015381 100644
--- a/www-misc/zoneminder/zoneminder-1.28.0.ebuild
+++ b/www-misc/zoneminder/zoneminder-1.28.0.ebuild
@@ -19,7 +19,7 @@ EAPI=5
 
 PERL_EXPORT_PHASE_FUNCTIONS=no
 
-inherit perl-module readme.gentoo eutils base cmake-utils depend.php depend.apache multilib flag-o-matic
+inherit perl-module readme.gentoo eutils base cmake-utils depend.apache multilib flag-o-matic
 
 MY_PN="ZoneMinder"
 
@@ -50,6 +50,7 @@ DEPEND="
 	sys-auth/polkit
 	sys-libs/zlib
 	virtual/ffmpeg
+	virtual/httpd-php
 	virtual/jpeg
 	virtual/mysql
 	virtual/perl-ExtUtils-MakeMaker
@@ -69,7 +70,6 @@ RDEPEND="${DEPEND}"
 # we cannot use need_httpd_cgi here, since we need to setup permissions for the
 # webserver in global scope (/etc/zm.conf etc), so we hardcode apache here.
 need_apache
-need_php_httpd
 
 S=${WORKDIR}/${MY_PN}-${PV}
 
@@ -80,7 +80,7 @@ PATCHES=(
 MY_ZM_WEBDIR=/usr/share/zoneminder/www
 
 pkg_setup() {
-	require_php_with_use mysql sockets apache2
+	:
 }
 
 src_configure() {

diff --git a/www-misc/zoneminder/zoneminder-1.28.1.ebuild b/www-misc/zoneminder/zoneminder-1.28.1.ebuild
index 0168b2a..4015381 100644
--- a/www-misc/zoneminder/zoneminder-1.28.1.ebuild
+++ b/www-misc/zoneminder/zoneminder-1.28.1.ebuild
@@ -19,7 +19,7 @@ EAPI=5
 
 PERL_EXPORT_PHASE_FUNCTIONS=no
 
-inherit perl-module readme.gentoo eutils base cmake-utils depend.php depend.apache multilib flag-o-matic
+inherit perl-module readme.gentoo eutils base cmake-utils depend.apache multilib flag-o-matic
 
 MY_PN="ZoneMinder"
 
@@ -50,6 +50,7 @@ DEPEND="
 	sys-auth/polkit
 	sys-libs/zlib
 	virtual/ffmpeg
+	virtual/httpd-php
 	virtual/jpeg
 	virtual/mysql
 	virtual/perl-ExtUtils-MakeMaker
@@ -69,7 +70,6 @@ RDEPEND="${DEPEND}"
 # we cannot use need_httpd_cgi here, since we need to setup permissions for the
 # webserver in global scope (/etc/zm.conf etc), so we hardcode apache here.
 need_apache
-need_php_httpd
 
 S=${WORKDIR}/${MY_PN}-${PV}
 
@@ -80,7 +80,7 @@ PATCHES=(
 MY_ZM_WEBDIR=/usr/share/zoneminder/www
 
 pkg_setup() {
-	require_php_with_use mysql sockets apache2
+	:
 }
 
 src_configure() {


^ permalink raw reply related	[flat|nested] 9+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: www-misc/zoneminder/
@ 2016-03-10 23:10 Andreas Hüttel
  0 siblings, 0 replies; 9+ messages in thread
From: Andreas Hüttel @ 2016-03-10 23:10 UTC (permalink / raw
  To: gentoo-commits

commit:     2a5f42e371ec8bc85e15b4155d427c6bde0f93e6
Author:     Kent Fredric <kentfredric <AT> gmail <DOT> com>
AuthorDate: Thu Mar 10 10:38:07 2016 +0000
Commit:     Andreas Hüttel <dilfridge <AT> gentoo <DOT> org>
CommitDate: Thu Mar 10 23:09:46 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2a5f42e3

www-misc/zoneminder: Fix dependency on dev-perl/Date-Manip

Package-Manager: portage-2.2.27

 www-misc/zoneminder/zoneminder-1.27.0.ebuild | 4 ++--
 www-misc/zoneminder/zoneminder-1.28.0.ebuild | 4 ++--
 www-misc/zoneminder/zoneminder-1.28.1.ebuild | 4 ++--
 3 files changed, 6 insertions(+), 6 deletions(-)

diff --git a/www-misc/zoneminder/zoneminder-1.27.0.ebuild b/www-misc/zoneminder/zoneminder-1.27.0.ebuild
index a5f3fc6..52ebe8f 100644
--- a/www-misc/zoneminder/zoneminder-1.27.0.ebuild
+++ b/www-misc/zoneminder/zoneminder-1.27.0.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2015 Gentoo Foundation
+# Copyright 1999-2016 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 # $Id$
 
@@ -39,7 +39,7 @@ REQUIRED_USE="
 DEPEND="
 	dev-lang/perl:=
 	dev-libs/libpcre
-	dev-perl/DateManip
+	dev-perl/Date-Manip
 	dev-perl/DBD-mysql
 	dev-perl/DBI
 	dev-perl/libwww-perl

diff --git a/www-misc/zoneminder/zoneminder-1.28.0.ebuild b/www-misc/zoneminder/zoneminder-1.28.0.ebuild
index 4015381..0a23bf3 100644
--- a/www-misc/zoneminder/zoneminder-1.28.0.ebuild
+++ b/www-misc/zoneminder/zoneminder-1.28.0.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2015 Gentoo Foundation
+# Copyright 1999-2016 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 # $Id$
 
@@ -42,7 +42,7 @@ DEPEND="
 	dev-lang/php[apache2,cgi,curl,inifile,pdo,mysql,mysqli,sockets]
 	dev-libs/libpcre
 	dev-perl/Archive-Zip
-	dev-perl/DateManip
+	dev-perl/Date-Manip
 	dev-perl/DBD-mysql
 	dev-perl/DBI
 	dev-perl/URI-Encode

diff --git a/www-misc/zoneminder/zoneminder-1.28.1.ebuild b/www-misc/zoneminder/zoneminder-1.28.1.ebuild
index 4015381..0a23bf3 100644
--- a/www-misc/zoneminder/zoneminder-1.28.1.ebuild
+++ b/www-misc/zoneminder/zoneminder-1.28.1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2015 Gentoo Foundation
+# Copyright 1999-2016 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 # $Id$
 
@@ -42,7 +42,7 @@ DEPEND="
 	dev-lang/php[apache2,cgi,curl,inifile,pdo,mysql,mysqli,sockets]
 	dev-libs/libpcre
 	dev-perl/Archive-Zip
-	dev-perl/DateManip
+	dev-perl/Date-Manip
 	dev-perl/DBD-mysql
 	dev-perl/DBI
 	dev-perl/URI-Encode


^ permalink raw reply related	[flat|nested] 9+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: www-misc/zoneminder/
@ 2016-12-15 21:07 Andreas Hüttel
  0 siblings, 0 replies; 9+ messages in thread
From: Andreas Hüttel @ 2016-12-15 21:07 UTC (permalink / raw
  To: gentoo-commits

commit:     81f411cef66df2515dec124ac85da34f7e41d4ba
Author:     Andreas K. Hüttel <dilfridge <AT> gentoo <DOT> org>
AuthorDate: Thu Dec 15 21:06:45 2016 +0000
Commit:     Andreas Hüttel <dilfridge <AT> gentoo <DOT> org>
CommitDate: Thu Dec 15 21:07:13 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=81f411ce

www-misc/zoneminder: Properly use REPLACING_VERSIONS

Package-Manager: Portage-2.3.3, Repoman-2.3.1

 www-misc/zoneminder/zoneminder-1.30.0.ebuild | 10 +++++++---
 1 file changed, 7 insertions(+), 3 deletions(-)

diff --git a/www-misc/zoneminder/zoneminder-1.30.0.ebuild b/www-misc/zoneminder/zoneminder-1.30.0.ebuild
index 60f3915..d041e19 100644
--- a/www-misc/zoneminder/zoneminder-1.30.0.ebuild
+++ b/www-misc/zoneminder/zoneminder-1.30.0.ebuild
@@ -14,7 +14,7 @@
 
 EAPI=6
 
-inherit perl-functions readme.gentoo-r1 cmake-utils depend.apache flag-o-matic systemd
+inherit versionator perl-functions readme.gentoo-r1 cmake-utils depend.apache flag-o-matic systemd
 
 MY_PN="ZoneMinder"
 
@@ -168,6 +168,10 @@ src_install() {
 pkg_postinst() {
 	readme.gentoo_print_elog
 
-	local myold=${REPLACING_VERSIONS}
-	[ "${myold}" = ${PV} ] || elog "You have upgraded zoneminder and may have to upgrade your database now using the 'zmupdate.pl' script."
+	local v
+	for v in ${REPLACING_VERSIONS}; do
+		if ! version_is_at_least ${PV} ${v}; then
+			elog "You have upgraded zoneminder and may have to upgrade your database now using the 'zmupdate.pl' script."
+		fi
+	done
 }


^ permalink raw reply related	[flat|nested] 9+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: www-misc/zoneminder/
@ 2017-04-12 22:00 Andreas Hüttel
  0 siblings, 0 replies; 9+ messages in thread
From: Andreas Hüttel @ 2017-04-12 22:00 UTC (permalink / raw
  To: gentoo-commits

commit:     bb1336c37daad2dc3587b61eecc0216ccb4f61e3
Author:     Andreas K. Hüttel <dilfridge <AT> gentoo <DOT> org>
AuthorDate: Wed Apr 12 22:00:27 2017 +0000
Commit:     Andreas Hüttel <dilfridge <AT> gentoo <DOT> org>
CommitDate: Wed Apr 12 22:00:41 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=bb1336c3

www-misc/zoneminder: Remove old

Package-Manager: Portage-2.3.5, Repoman-2.3.2

 www-misc/zoneminder/Manifest                 |   2 -
 www-misc/zoneminder/metadata.xml             |   1 -
 www-misc/zoneminder/zoneminder-1.28.0.ebuild | 148 ---------------------------
 www-misc/zoneminder/zoneminder-1.28.1.ebuild | 148 ---------------------------
 4 files changed, 299 deletions(-)

diff --git a/www-misc/zoneminder/Manifest b/www-misc/zoneminder/Manifest
index a1273541044..0eea4312a54 100644
--- a/www-misc/zoneminder/Manifest
+++ b/www-misc/zoneminder/Manifest
@@ -1,6 +1,4 @@
 DIST Crud-3.0.10.tar.gz 72960 SHA256 462d05e21d17cc6b11cdc441971d1a7f07688512b5f7903217a574c6c39efd91 SHA512 2f60557f2c783bb448e06c1ca40b536a1d7d5f3caf0626fa6716a28f808492d4799e238f16c022571be96921105b074b6763920fd7b9cc77b76d17ceadae2040 WHIRLPOOL 6c8d78dd30e8373a2b014fe4f6d17a4e2ec1051a6dc09d8b0759c6cd76ae78cb633e2c1eaab125aa29e66903de201337da979b3e412e8861a2431588251d817b
 DIST Crud-3.1.0.tar.gz 72993 SHA256 e30a916c04ca282509c728c0b0e48fa62a3036f2d735cc9b7ea810947d81259f SHA512 7ec84afaa336b1bd582b7f39724f77081bdb3008947c4124ad96e4bc7755a03fbe31e01666d4d1939ebe17b342db37bf3766a42d88fbed0e99706807ff5b9d01 WHIRLPOOL 8be4760c112bc8f0b08bf2b5f274113ef2203c8b21da39a1aa9f85c89e30077fb5c697700b5e6e3ec02c77b302089773cdd3be0612cd75d25bca2a8326d496b5
-DIST zoneminder-1.28.0.tar.gz 2804199 SHA256 b9ee65635753e094dcad6cdb480acc42bff8b8f023ee008790883a4308273ca2 SHA512 ac2a036adac436d76db8bb0b161d063111cc7cc7f6bcb9ca1b46862cfb0285b291926df716df645c0be47b7465bbbf3b1050c85529ff5068bdcc34f1c8ba6df1 WHIRLPOOL 012a088ab6411cf7a1ec1e0c4d9c9f1e61889c3729ea736baafb5174a20f61a82c280b7c5bfd669e031b3e1844abe1de0a577e73f82295b080d88b4ae43b627b
-DIST zoneminder-1.28.1.tar.gz 3864811 SHA256 e55fa6ce1fd6c27912cd1de67fca3f80fad579f330020a384dc82838704d11ba SHA512 0ae29870e12b7ad0852510a17439df49dd35245aa1486a5d0ff71e17dbf89840d08c65b4485c93739f1fbcc253599162e28e0382c28927aa84cd734248587ea1 WHIRLPOOL 62a52810437c0360fb83eb6f8210d6f089448bc6b9cf7b46e6ad8db7f952c3e3ba9832f2e25be65a476655991e3dd7ae70ed83198c7a4563cff68283e7f06226
 DIST zoneminder-1.30.0.tar.gz 9757409 SHA256 e7c964c339305f42a044ca8e34fa4e6a33c452fdaf33642458735daf8b864325 SHA512 cbff14447a568648a0475e878be5cd19cb694c65814fe33c20774752410e31f3f4ff9e5695667d4d50634b3193dc50aaca2d950efc151bbb968d3f9609d35db4 WHIRLPOOL af901055bb1ac9ae668fae23f80aff20632d6ee785e0fe5ab6f71f86fe6e1a8ca2e4dae919c1754ac84025f7bc614cc9cea7470209b2a7a35d3b27746eb9a46b
 DIST zoneminder-1.30.2.tar.gz 9931753 SHA256 499277b295bdcc2bb38b562a9061fac171236536b88b590f948f4f41ad1f7b5c SHA512 98bd6d42ecc19bcd317a30e1a9c57bd6bd295593bcc6c12e2fbe1beddfe43fb0301e042323a88969fd5f7da1dc45a1c01324878837633e5a5ed4fa54bed8690a WHIRLPOOL 98b4882dcf6fddb25bc912f22766ad1cc7c374bfb74e76ceceb8c4392d7408057460ab07e4a3d370b1fb646d10f489d81685c8a7904f43c3756ed64fd46f194f

diff --git a/www-misc/zoneminder/metadata.xml b/www-misc/zoneminder/metadata.xml
index 020a97d2326..7c8aa13b6d8 100644
--- a/www-misc/zoneminder/metadata.xml
+++ b/www-misc/zoneminder/metadata.xml
@@ -9,7 +9,6 @@
 		<flag name="curl">Enable using net-misc/curl for streaming from cameras</flag>
 		<flag name="gcrypt">...</flag>
 		<flag name="vlc">Enable using media-libs/vlc for streaming from cameras</flag>
-		<flag name="openssl">...</flag>
 	</use>
 	<upstream>
 		<remote-id type="github">ZoneMinder/ZoneMinder</remote-id>

diff --git a/www-misc/zoneminder/zoneminder-1.28.0.ebuild b/www-misc/zoneminder/zoneminder-1.28.0.ebuild
deleted file mode 100644
index 964f206c28e..00000000000
--- a/www-misc/zoneminder/zoneminder-1.28.0.ebuild
+++ /dev/null
@@ -1,148 +0,0 @@
-# Copyright 1999-2016 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-# TO DO:
-# * ffmpeg support can be disabled in CMakeLists.txt but it does not build then
-#		$(cmake-utils_useno ffmpeg ZM_NO_FFMPEG)
-# * dependencies of unknown status:
-# 	dev-perl/Archive-Zip
-# 	dev-perl/Device-SerialPort
-# 	dev-perl/MIME-Lite
-# 	dev-perl/MIME-tools
-# 	dev-perl/PHP-Serialization
-# 	virtual/perl-Archive-Tar
-# 	virtual/perl-libnet
-# 	virtual/perl-Module-Load
-
-EAPI=5
-
-PERL_EXPORT_PHASE_FUNCTIONS=no
-
-inherit perl-module readme.gentoo eutils base cmake-utils depend.apache multilib flag-o-matic
-
-MY_PN="ZoneMinder"
-
-DESCRIPTION="ZoneMinder allows you to capture, analyse, record and monitor any cameras attached to your system"
-HOMEPAGE="http://www.zoneminder.com/"
-SRC_URI="https://github.com/${MY_PN}/${MY_PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
-
-LICENSE="GPL-2"
-KEYWORDS="~amd64"
-IUSE="curl gcrypt gnutls +mmap +openssl vlc"
-SLOT="0"
-
-REQUIRED_USE="
-	|| ( openssl gnutls )
-"
-
-DEPEND="
-	app-eselect/eselect-php[apache2]
-	dev-lang/perl:=
-	dev-lang/php[apache2,cgi,curl,inifile,pdo,mysql,mysqli,sockets]
-	dev-libs/libpcre
-	dev-perl/Archive-Zip
-	dev-perl/Date-Manip
-	dev-perl/DBD-mysql
-	dev-perl/DBI
-	dev-perl/URI-Encode
-	dev-perl/libwww-perl
-	sys-auth/polkit
-	sys-libs/zlib
-	virtual/ffmpeg
-	virtual/httpd-php
-	virtual/jpeg
-	virtual/mysql
-	virtual/perl-ExtUtils-MakeMaker
-	virtual/perl-Getopt-Long
-	virtual/perl-Sys-Syslog
-	virtual/perl-Time-HiRes
-	www-servers/apache
-	curl? ( net-misc/curl )
-	gcrypt? ( dev-libs/libgcrypt )
-	gnutls? ( net-libs/gnutls )
-	mmap? ( dev-perl/Sys-Mmap )
-	openssl? ( dev-libs/openssl )
-	vlc? ( media-video/vlc[live] )
-"
-RDEPEND="${DEPEND}"
-
-# we cannot use need_httpd_cgi here, since we need to setup permissions for the
-# webserver in global scope (/etc/zm.conf etc), so we hardcode apache here.
-need_apache
-
-S=${WORKDIR}/${MY_PN}-${PV}
-
-PATCHES=(
-	"${FILESDIR}/${PN}-1.26.5"-automagic.patch
-)
-
-MY_ZM_WEBDIR=/usr/share/zoneminder/www
-
-pkg_setup() {
-	:
-}
-
-src_configure() {
-	append-cxxflags -D__STDC_CONSTANT_MACROS
-	perl_set_version
-
-	mycmakeargs=(
-		-DZM_PERL_SUBPREFIX=${VENDOR_LIB#/usr}
-		-DZM_TMPDIR=/var/tmp/zm
-		-DZM_SOCKDIR=/var/run/zm
-		-DZM_WEB_USER=apache
-		-DZM_WEB_GROUP=apache
-		-DZM_WEBDIR=${MY_ZM_WEBDIR}
-		$(cmake-utils_useno mmap ZM_NO_MMAP)
-		-DZM_NO_X10=OFF
-		-DZM_NO_FFMPEG=OFF
-		$(cmake-utils_useno curl ZM_NO_CURL)
-		$(cmake-utils_useno vlc ZM_NO_LIBVLC)
-		$(cmake-utils_useno openssl CMAKE_DISABLE_FIND_PACKAGE_OpenSSL)
-		$(cmake-utils_use_has gnutls)
-		$(cmake-utils_use_has gcrypt)
-	)
-
-	cmake-utils_src_configure
-}
-
-src_install() {
-	cmake-utils_src_install
-
-	# the log directory
-	keepdir /var/log/zm
-	fowners apache:apache /var/log/zm
-
-	# now we duplicate the work of zmlinkcontent.sh
-	dodir /var/lib/zoneminder /var/lib/zoneminder/images /var/lib/zoneminder/events
-	fperms -R 0775 /var/lib/zoneminder
-	fowners -R apache:apache /var/lib/zoneminder
-	dosym /var/lib/zoneminder/images ${MY_ZM_WEBDIR}/images
-	dosym /var/lib/zoneminder/events ${MY_ZM_WEBDIR}/events
-
-	# bug 523058
-	keepdir ${MY_ZM_WEBDIR}/temp
-	fowners -R apache:apache ${MY_ZM_WEBDIR}/temp
-
-	# the configuration file
-	fperms 0640 /etc/zm.conf
-	fowners root:apache /etc/zm.conf
-
-	# init scripts etc
-	newinitd "${FILESDIR}"/init.d zoneminder
-	newconfd "${FILESDIR}"/conf.d zoneminder
-
-	cp "${FILESDIR}"/10_zoneminder.conf "${T}"/10_zoneminder.conf
-	sed -i "${T}"/10_zoneminder.conf -e "s:%ZM_WEBDIR%:${MY_ZM_WEBDIR}:g"
-
-	dodoc AUTHORS BUGS ChangeLog INSTALL NEWS README.md TODO "${T}"/10_zoneminder.conf
-
-	perl_delete_packlist
-
-	readme.gentoo_src_install
-}
-
-pkg_postinst() {
-	local myold=${REPLACING_VERSIONS}
-	[ "${myold}" = ${PV} ] || elog "You have upgraded zoneminder and may have to upgrade your database now."
-}

diff --git a/www-misc/zoneminder/zoneminder-1.28.1.ebuild b/www-misc/zoneminder/zoneminder-1.28.1.ebuild
deleted file mode 100644
index 964f206c28e..00000000000
--- a/www-misc/zoneminder/zoneminder-1.28.1.ebuild
+++ /dev/null
@@ -1,148 +0,0 @@
-# Copyright 1999-2016 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-# TO DO:
-# * ffmpeg support can be disabled in CMakeLists.txt but it does not build then
-#		$(cmake-utils_useno ffmpeg ZM_NO_FFMPEG)
-# * dependencies of unknown status:
-# 	dev-perl/Archive-Zip
-# 	dev-perl/Device-SerialPort
-# 	dev-perl/MIME-Lite
-# 	dev-perl/MIME-tools
-# 	dev-perl/PHP-Serialization
-# 	virtual/perl-Archive-Tar
-# 	virtual/perl-libnet
-# 	virtual/perl-Module-Load
-
-EAPI=5
-
-PERL_EXPORT_PHASE_FUNCTIONS=no
-
-inherit perl-module readme.gentoo eutils base cmake-utils depend.apache multilib flag-o-matic
-
-MY_PN="ZoneMinder"
-
-DESCRIPTION="ZoneMinder allows you to capture, analyse, record and monitor any cameras attached to your system"
-HOMEPAGE="http://www.zoneminder.com/"
-SRC_URI="https://github.com/${MY_PN}/${MY_PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
-
-LICENSE="GPL-2"
-KEYWORDS="~amd64"
-IUSE="curl gcrypt gnutls +mmap +openssl vlc"
-SLOT="0"
-
-REQUIRED_USE="
-	|| ( openssl gnutls )
-"
-
-DEPEND="
-	app-eselect/eselect-php[apache2]
-	dev-lang/perl:=
-	dev-lang/php[apache2,cgi,curl,inifile,pdo,mysql,mysqli,sockets]
-	dev-libs/libpcre
-	dev-perl/Archive-Zip
-	dev-perl/Date-Manip
-	dev-perl/DBD-mysql
-	dev-perl/DBI
-	dev-perl/URI-Encode
-	dev-perl/libwww-perl
-	sys-auth/polkit
-	sys-libs/zlib
-	virtual/ffmpeg
-	virtual/httpd-php
-	virtual/jpeg
-	virtual/mysql
-	virtual/perl-ExtUtils-MakeMaker
-	virtual/perl-Getopt-Long
-	virtual/perl-Sys-Syslog
-	virtual/perl-Time-HiRes
-	www-servers/apache
-	curl? ( net-misc/curl )
-	gcrypt? ( dev-libs/libgcrypt )
-	gnutls? ( net-libs/gnutls )
-	mmap? ( dev-perl/Sys-Mmap )
-	openssl? ( dev-libs/openssl )
-	vlc? ( media-video/vlc[live] )
-"
-RDEPEND="${DEPEND}"
-
-# we cannot use need_httpd_cgi here, since we need to setup permissions for the
-# webserver in global scope (/etc/zm.conf etc), so we hardcode apache here.
-need_apache
-
-S=${WORKDIR}/${MY_PN}-${PV}
-
-PATCHES=(
-	"${FILESDIR}/${PN}-1.26.5"-automagic.patch
-)
-
-MY_ZM_WEBDIR=/usr/share/zoneminder/www
-
-pkg_setup() {
-	:
-}
-
-src_configure() {
-	append-cxxflags -D__STDC_CONSTANT_MACROS
-	perl_set_version
-
-	mycmakeargs=(
-		-DZM_PERL_SUBPREFIX=${VENDOR_LIB#/usr}
-		-DZM_TMPDIR=/var/tmp/zm
-		-DZM_SOCKDIR=/var/run/zm
-		-DZM_WEB_USER=apache
-		-DZM_WEB_GROUP=apache
-		-DZM_WEBDIR=${MY_ZM_WEBDIR}
-		$(cmake-utils_useno mmap ZM_NO_MMAP)
-		-DZM_NO_X10=OFF
-		-DZM_NO_FFMPEG=OFF
-		$(cmake-utils_useno curl ZM_NO_CURL)
-		$(cmake-utils_useno vlc ZM_NO_LIBVLC)
-		$(cmake-utils_useno openssl CMAKE_DISABLE_FIND_PACKAGE_OpenSSL)
-		$(cmake-utils_use_has gnutls)
-		$(cmake-utils_use_has gcrypt)
-	)
-
-	cmake-utils_src_configure
-}
-
-src_install() {
-	cmake-utils_src_install
-
-	# the log directory
-	keepdir /var/log/zm
-	fowners apache:apache /var/log/zm
-
-	# now we duplicate the work of zmlinkcontent.sh
-	dodir /var/lib/zoneminder /var/lib/zoneminder/images /var/lib/zoneminder/events
-	fperms -R 0775 /var/lib/zoneminder
-	fowners -R apache:apache /var/lib/zoneminder
-	dosym /var/lib/zoneminder/images ${MY_ZM_WEBDIR}/images
-	dosym /var/lib/zoneminder/events ${MY_ZM_WEBDIR}/events
-
-	# bug 523058
-	keepdir ${MY_ZM_WEBDIR}/temp
-	fowners -R apache:apache ${MY_ZM_WEBDIR}/temp
-
-	# the configuration file
-	fperms 0640 /etc/zm.conf
-	fowners root:apache /etc/zm.conf
-
-	# init scripts etc
-	newinitd "${FILESDIR}"/init.d zoneminder
-	newconfd "${FILESDIR}"/conf.d zoneminder
-
-	cp "${FILESDIR}"/10_zoneminder.conf "${T}"/10_zoneminder.conf
-	sed -i "${T}"/10_zoneminder.conf -e "s:%ZM_WEBDIR%:${MY_ZM_WEBDIR}:g"
-
-	dodoc AUTHORS BUGS ChangeLog INSTALL NEWS README.md TODO "${T}"/10_zoneminder.conf
-
-	perl_delete_packlist
-
-	readme.gentoo_src_install
-}
-
-pkg_postinst() {
-	local myold=${REPLACING_VERSIONS}
-	[ "${myold}" = ${PV} ] || elog "You have upgraded zoneminder and may have to upgrade your database now."
-}


^ permalink raw reply related	[flat|nested] 9+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: www-misc/zoneminder/
@ 2017-04-12 22:00 Andreas Hüttel
  0 siblings, 0 replies; 9+ messages in thread
From: Andreas Hüttel @ 2017-04-12 22:00 UTC (permalink / raw
  To: gentoo-commits

commit:     e3ee24144a2e9f1e41e80ca3b561adac62c71278
Author:     Andreas K. Hüttel <dilfridge <AT> gentoo <DOT> org>
AuthorDate: Wed Apr 12 22:00:01 2017 +0000
Commit:     Andreas Hüttel <dilfridge <AT> gentoo <DOT> org>
CommitDate: Wed Apr 12 22:00:41 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e3ee2414

www-misc/zoneminder: Version bump

Package-Manager: Portage-2.3.5, Repoman-2.3.2

 www-misc/zoneminder/Manifest                 |   2 +
 www-misc/zoneminder/zoneminder-1.30.2.ebuild | 176 +++++++++++++++++++++++++++
 2 files changed, 178 insertions(+)

diff --git a/www-misc/zoneminder/Manifest b/www-misc/zoneminder/Manifest
index 8f9296362ec..a1273541044 100644
--- a/www-misc/zoneminder/Manifest
+++ b/www-misc/zoneminder/Manifest
@@ -1,4 +1,6 @@
 DIST Crud-3.0.10.tar.gz 72960 SHA256 462d05e21d17cc6b11cdc441971d1a7f07688512b5f7903217a574c6c39efd91 SHA512 2f60557f2c783bb448e06c1ca40b536a1d7d5f3caf0626fa6716a28f808492d4799e238f16c022571be96921105b074b6763920fd7b9cc77b76d17ceadae2040 WHIRLPOOL 6c8d78dd30e8373a2b014fe4f6d17a4e2ec1051a6dc09d8b0759c6cd76ae78cb633e2c1eaab125aa29e66903de201337da979b3e412e8861a2431588251d817b
+DIST Crud-3.1.0.tar.gz 72993 SHA256 e30a916c04ca282509c728c0b0e48fa62a3036f2d735cc9b7ea810947d81259f SHA512 7ec84afaa336b1bd582b7f39724f77081bdb3008947c4124ad96e4bc7755a03fbe31e01666d4d1939ebe17b342db37bf3766a42d88fbed0e99706807ff5b9d01 WHIRLPOOL 8be4760c112bc8f0b08bf2b5f274113ef2203c8b21da39a1aa9f85c89e30077fb5c697700b5e6e3ec02c77b302089773cdd3be0612cd75d25bca2a8326d496b5
 DIST zoneminder-1.28.0.tar.gz 2804199 SHA256 b9ee65635753e094dcad6cdb480acc42bff8b8f023ee008790883a4308273ca2 SHA512 ac2a036adac436d76db8bb0b161d063111cc7cc7f6bcb9ca1b46862cfb0285b291926df716df645c0be47b7465bbbf3b1050c85529ff5068bdcc34f1c8ba6df1 WHIRLPOOL 012a088ab6411cf7a1ec1e0c4d9c9f1e61889c3729ea736baafb5174a20f61a82c280b7c5bfd669e031b3e1844abe1de0a577e73f82295b080d88b4ae43b627b
 DIST zoneminder-1.28.1.tar.gz 3864811 SHA256 e55fa6ce1fd6c27912cd1de67fca3f80fad579f330020a384dc82838704d11ba SHA512 0ae29870e12b7ad0852510a17439df49dd35245aa1486a5d0ff71e17dbf89840d08c65b4485c93739f1fbcc253599162e28e0382c28927aa84cd734248587ea1 WHIRLPOOL 62a52810437c0360fb83eb6f8210d6f089448bc6b9cf7b46e6ad8db7f952c3e3ba9832f2e25be65a476655991e3dd7ae70ed83198c7a4563cff68283e7f06226
 DIST zoneminder-1.30.0.tar.gz 9757409 SHA256 e7c964c339305f42a044ca8e34fa4e6a33c452fdaf33642458735daf8b864325 SHA512 cbff14447a568648a0475e878be5cd19cb694c65814fe33c20774752410e31f3f4ff9e5695667d4d50634b3193dc50aaca2d950efc151bbb968d3f9609d35db4 WHIRLPOOL af901055bb1ac9ae668fae23f80aff20632d6ee785e0fe5ab6f71f86fe6e1a8ca2e4dae919c1754ac84025f7bc614cc9cea7470209b2a7a35d3b27746eb9a46b
+DIST zoneminder-1.30.2.tar.gz 9931753 SHA256 499277b295bdcc2bb38b562a9061fac171236536b88b590f948f4f41ad1f7b5c SHA512 98bd6d42ecc19bcd317a30e1a9c57bd6bd295593bcc6c12e2fbe1beddfe43fb0301e042323a88969fd5f7da1dc45a1c01324878837633e5a5ed4fa54bed8690a WHIRLPOOL 98b4882dcf6fddb25bc912f22766ad1cc7c374bfb74e76ceceb8c4392d7408057460ab07e4a3d370b1fb646d10f489d81685c8a7904f43c3756ed64fd46f194f

diff --git a/www-misc/zoneminder/zoneminder-1.30.2.ebuild b/www-misc/zoneminder/zoneminder-1.30.2.ebuild
new file mode 100644
index 00000000000..74bea7e3cbf
--- /dev/null
+++ b/www-misc/zoneminder/zoneminder-1.30.2.ebuild
@@ -0,0 +1,176 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+# TO DO:
+# * dependencies of unknown status:
+#	dev-perl/Device-SerialPort
+# 	dev-perl/MIME-Lite
+# 	dev-perl/MIME-tools
+# 	dev-perl/PHP-Serialization
+# 	virtual/perl-Archive-Tar
+# 	virtual/perl-libnet
+# 	virtual/perl-Module-Load
+
+EAPI=6
+
+inherit versionator perl-functions readme.gentoo-r1 cmake-utils depend.apache flag-o-matic systemd
+
+MY_PN="ZoneMinder"
+
+MY_CRUD_VERSION="3.1.0"
+
+DESCRIPTION="Capture, analyse, record and monitor any cameras attached to your system"
+HOMEPAGE="http://www.zoneminder.com/"
+SRC_URI="
+	https://github.com/${MY_PN}/${MY_PN}/archive/${PV}.tar.gz -> ${P}.tar.gz
+	https://github.com/FriendsOfCake/crud/archive/v${MY_CRUD_VERSION}.tar.gz -> Crud-${MY_CRUD_VERSION}.tar.gz
+"
+
+LICENSE="GPL-2"
+KEYWORDS="~amd64"
+IUSE="curl ffmpeg gcrypt gnutls +mmap +ssl libressl vlc"
+SLOT="0"
+
+REQUIRED_USE="
+	|| ( ssl gnutls )
+"
+
+DEPEND="
+	app-eselect/eselect-php[apache2]
+	dev-lang/perl:=
+	dev-lang/php:*[apache2,cgi,curl,gd,inifile,pdo,mysql,mysqli,sockets]
+	dev-libs/libpcre
+	dev-perl/Archive-Zip
+	dev-perl/Class-Std-Fast
+	dev-perl/Data-Dump
+	dev-perl/Date-Manip
+	dev-perl/Data-UUID
+	dev-perl/DBD-mysql
+	dev-perl/DBI
+	dev-perl/IO-Socket-Multicast
+	dev-perl/SOAP-WSDL
+	dev-perl/Sys-CPU
+	dev-perl/Sys-MemInfo
+	dev-perl/URI-Encode
+	dev-perl/libwww-perl
+	sys-auth/polkit
+	sys-libs/zlib
+	virtual/ffmpeg
+	virtual/httpd-php:*
+	virtual/jpeg:0
+	virtual/mysql
+	virtual/perl-ExtUtils-MakeMaker
+	virtual/perl-Getopt-Long
+	virtual/perl-Sys-Syslog
+	virtual/perl-Time-HiRes
+	www-servers/apache
+	curl? ( net-misc/curl )
+	gcrypt? ( dev-libs/libgcrypt:0= )
+	gnutls? ( net-libs/gnutls )
+	mmap? ( dev-perl/Sys-Mmap )
+	ssl? (
+		!libressl? ( dev-libs/openssl:0= )
+		libressl? ( dev-libs/libressl:0= )
+	)
+	vlc? ( media-video/vlc[live] )
+"
+RDEPEND="${DEPEND}"
+
+# we cannot use need_httpd_cgi here, since we need to setup permissions for the
+# webserver in global scope (/etc/zm.conf etc), so we hardcode apache here.
+need_apache
+
+S=${WORKDIR}/${MY_PN}-${PV}
+
+PATCHES=(
+	"${FILESDIR}/${PN}-1.26.5"-automagic.patch
+	"${FILESDIR}/${PN}-1.28.1"-mysql_include_path.patch
+)
+
+MY_ZM_WEBDIR=/usr/share/zoneminder/www
+
+src_prepare() {
+	cmake-utils_src_prepare
+
+	rmdir "${S}/web/api/app/Plugin/Crud" || die
+	mv "${WORKDIR}/crud-${MY_CRUD_VERSION}" "${S}/web/api/app/Plugin/Crud" || die
+}
+
+src_configure() {
+	append-cxxflags -D__STDC_CONSTANT_MACROS
+	perl_set_version
+
+	mycmakeargs=(
+		-DZM_PERL_SUBPREFIX=${VENDOR_LIB#/usr}
+		-DZM_TMPDIR=/var/tmp/zm
+		-DZM_SOCKDIR=/var/run/zm
+		-DZM_WEB_USER=apache
+		-DZM_WEB_GROUP=apache
+		-DZM_WEBDIR=${MY_ZM_WEBDIR}
+		-DZM_NO_MMAP="$(usex mmap OFF ON)"
+		-DZM_NO_X10=OFF
+		-DZM_NO_FFMPEG="$(usex ffmpeg OFF ON)"
+		-DZM_NO_CURL="$(usex curl OFF ON)"
+		-DZM_NO_LIBVLC="$(usex vlc OFF ON)"
+		-DCMAKE_DISABLE_FIND_PACKAGE_OpenSSL="$(usex ssl OFF ON)"
+		-DHAVE_GNUTLS="$(usex gnutls ON OFF)"
+		-DHAVE_GCRYPT="$(usex gcrypt ON OFF)"
+	)
+
+	cmake-utils_src_configure
+}
+
+src_install() {
+	cmake-utils_src_install
+
+	# the log directory
+	keepdir /var/log/zm
+	fowners apache:apache /var/log/zm
+
+	# the logrotate script
+	insinto /etc/logrotate.d
+	newins distros/ubuntu1204/zoneminder.logrotate zoneminder
+
+	# now we duplicate the work of zmlinkcontent.sh
+	keepdir /var/lib/zoneminder /var/lib/zoneminder/images /var/lib/zoneminder/events /var/lib/zoneminder/api_tmp
+	fperms -R 0775 /var/lib/zoneminder
+	fowners -R apache:apache /var/lib/zoneminder
+	dosym /var/lib/zoneminder/images ${MY_ZM_WEBDIR}/images
+	dosym /var/lib/zoneminder/events ${MY_ZM_WEBDIR}/events
+	dosym /var/lib/zoneminder/api_tmp ${MY_ZM_WEBDIR}/api/app/tmp
+
+	# bug 523058
+	keepdir ${MY_ZM_WEBDIR}/temp
+	fowners -R apache:apache ${MY_ZM_WEBDIR}/temp
+
+	# the configuration file
+	fperms 0640 /etc/zm.conf
+	fowners root:apache /etc/zm.conf
+
+	# init scripts etc
+	newinitd "${FILESDIR}"/init.d zoneminder
+	newconfd "${FILESDIR}"/conf.d zoneminder
+
+	# systemd unit file
+	systemd_dounit "${FILESDIR}"/zoneminder.service
+
+	cp "${FILESDIR}"/10_zoneminder.conf "${T}"/10_zoneminder.conf
+	sed -i "${T}"/10_zoneminder.conf -e "s:%ZM_WEBDIR%:${MY_ZM_WEBDIR}:g"
+
+	dodoc AUTHORS BUGS ChangeLog INSTALL NEWS README.md TODO "${T}"/10_zoneminder.conf
+
+	perl_delete_packlist
+
+	readme.gentoo_create_doc
+}
+
+pkg_postinst() {
+	readme.gentoo_print_elog
+
+	local v
+	for v in ${REPLACING_VERSIONS}; do
+		if ! version_is_at_least ${PV} ${v}; then
+			elog "You have upgraded zoneminder and may have to upgrade your database now using the 'zmupdate.pl' script."
+		fi
+	done
+}


^ permalink raw reply related	[flat|nested] 9+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: www-misc/zoneminder/
@ 2018-03-14 22:48 Kent Fredric
  0 siblings, 0 replies; 9+ messages in thread
From: Kent Fredric @ 2018-03-14 22:48 UTC (permalink / raw
  To: gentoo-commits

commit:     e0878ef31bfa691c5d0bb46331b7ac477ce9ec56
Author:     Kent Fredric <kentnl <AT> gentoo <DOT> org>
AuthorDate: Wed Mar 14 05:24:55 2018 +0000
Commit:     Kent Fredric <kentnl <AT> gentoo <DOT> org>
CommitDate: Wed Mar 14 22:47:47 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e0878ef3

www-misc/zoneminder: Fix build failure w/ TZ=factory bug #630470

Acked-By: dilfridge
Closes: https://bugs.gentoo.org/630470
Package-Manager: Portage-2.3.24, Repoman-2.3.6

 www-misc/zoneminder/zoneminder-1.30.4.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/www-misc/zoneminder/zoneminder-1.30.4.ebuild b/www-misc/zoneminder/zoneminder-1.30.4.ebuild
index 12ed2a18ac9..1d8a7f29939 100644
--- a/www-misc/zoneminder/zoneminder-1.30.4.ebuild
+++ b/www-misc/zoneminder/zoneminder-1.30.4.ebuild
@@ -100,7 +100,7 @@ src_prepare() {
 src_configure() {
 	append-cxxflags -D__STDC_CONSTANT_MACROS
 	perl_set_version
-
+	export TZ=UTC # bug 630470
 	mycmakeargs=(
 		-DZM_PERL_SUBPREFIX=${VENDOR_LIB#/usr}
 		-DZM_TMPDIR=/var/tmp/zm


^ permalink raw reply related	[flat|nested] 9+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: www-misc/zoneminder/
@ 2018-12-02 22:48 Andreas K. Hüttel
  0 siblings, 0 replies; 9+ messages in thread
From: Andreas K. Hüttel @ 2018-12-02 22:48 UTC (permalink / raw
  To: gentoo-commits

commit:     b96a5aadeb339eecd690bee027074a3ca56d1d0b
Author:     Andreas K. Hüttel <dilfridge <AT> gentoo <DOT> org>
AuthorDate: Sun Dec  2 22:41:46 2018 +0000
Commit:     Andreas K. Hüttel <dilfridge <AT> gentoo <DOT> org>
CommitDate: Sun Dec  2 22:41:46 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b96a5aad

www-misc/zoneminder: Drop maintainership

Package-Manager: Portage-2.3.52, Repoman-2.3.12
Signed-off-by: Andreas K. Hüttel <dilfridge <AT> gentoo.org>

 www-misc/zoneminder/metadata.xml | 4 ----
 1 file changed, 4 deletions(-)

diff --git a/www-misc/zoneminder/metadata.xml b/www-misc/zoneminder/metadata.xml
index 7c8aa13b6d8..5d75d2f8ee6 100644
--- a/www-misc/zoneminder/metadata.xml
+++ b/www-misc/zoneminder/metadata.xml
@@ -1,10 +1,6 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
 <pkgmetadata>
-	<maintainer type="person">
-		<email>dilfridge@gentoo.org</email>
-		<name>Andreas K. Huettel</name>
-	</maintainer>
 	<use>
 		<flag name="curl">Enable using net-misc/curl for streaming from cameras</flag>
 		<flag name="gcrypt">...</flag>


^ permalink raw reply related	[flat|nested] 9+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: www-misc/zoneminder/
@ 2019-02-07 16:37 Brian Evans
  0 siblings, 0 replies; 9+ messages in thread
From: Brian Evans @ 2019-02-07 16:37 UTC (permalink / raw
  To: gentoo-commits

commit:     84dbc85d06c4e289b83e24efb0736bb42344028a
Author:     Brian Evans <grknight <AT> gentoo <DOT> org>
AuthorDate: Thu Feb  7 16:37:29 2019 +0000
Commit:     Brian Evans <grknight <AT> gentoo <DOT> org>
CommitDate: Thu Feb  7 16:37:29 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=84dbc85d

www-misc/zoneminder: Revbump for dependency change

Closes: https://bugs.gentoo.org/666080
Package-Manager: Portage-2.3.59, Repoman-2.3.12
Signed-off-by: Brian Evans <grknight <AT> gentoo.org>

 ...der-1.30.4.ebuild => zoneminder-1.30.4-r1.ebuild} | 20 ++++++++++----------
 1 file changed, 10 insertions(+), 10 deletions(-)

diff --git a/www-misc/zoneminder/zoneminder-1.30.4.ebuild b/www-misc/zoneminder/zoneminder-1.30.4-r1.ebuild
similarity index 92%
rename from www-misc/zoneminder/zoneminder-1.30.4.ebuild
rename to www-misc/zoneminder/zoneminder-1.30.4-r1.ebuild
index 1d8a7f29939..046cf31ef6f 100644
--- a/www-misc/zoneminder/zoneminder-1.30.4.ebuild
+++ b/www-misc/zoneminder/zoneminder-1.30.4-r1.ebuild
@@ -1,19 +1,19 @@
-# Copyright 1999-2018 Gentoo Foundation
+# Copyright 1999-2019 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 # TO DO:
 # * dependencies of unknown status:
 #	dev-perl/Device-SerialPort
-# 	dev-perl/MIME-Lite
-# 	dev-perl/MIME-tools
-# 	dev-perl/PHP-Serialization
-# 	virtual/perl-Archive-Tar
-# 	virtual/perl-libnet
-# 	virtual/perl-Module-Load
+#	dev-perl/MIME-Lite
+#	dev-perl/MIME-tools
+#	dev-perl/PHP-Serialization
+#	virtual/perl-Archive-Tar
+#	virtual/perl-libnet
+#	virtual/perl-Module-Load
 
 EAPI=6
 
-inherit versionator perl-functions readme.gentoo-r1 cmake-utils depend.apache flag-o-matic systemd
+inherit eapi7-ver perl-functions readme.gentoo-r1 cmake-utils depend.apache flag-o-matic systemd
 
 MY_PN="ZoneMinder"
 
@@ -37,6 +37,7 @@ REQUIRED_USE="
 
 DEPEND="
 	app-eselect/eselect-php[apache2]
+	dev-db/mysql-connector-c:0=
 	dev-lang/perl:=
 	dev-lang/php:*[apache2,cgi,curl,gd,inifile,pdo,mysql,mysqli,sockets]
 	dev-libs/libpcre
@@ -59,7 +60,6 @@ DEPEND="
 	virtual/ffmpeg
 	virtual/httpd-php:*
 	virtual/jpeg:0
-	virtual/mysql
 	virtual/perl-ExtUtils-MakeMaker
 	virtual/perl-Getopt-Long
 	virtual/perl-Sys-Syslog
@@ -171,7 +171,7 @@ pkg_postinst() {
 
 	local v
 	for v in ${REPLACING_VERSIONS}; do
-		if ! version_is_at_least ${PV} ${v}; then
+		if ver_test ${PV} -gt ${v}; then
 			elog "You have upgraded zoneminder and may have to upgrade your database now using the 'zmupdate.pl' script."
 		fi
 	done


^ permalink raw reply related	[flat|nested] 9+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: www-misc/zoneminder/
@ 2020-04-26 11:00 David Seifert
  0 siblings, 0 replies; 9+ messages in thread
From: David Seifert @ 2020-04-26 11:00 UTC (permalink / raw
  To: gentoo-commits

commit:     8157ada6a7be8b28207020cb89f767eade8c7934
Author:     David Seifert <soap <AT> gentoo <DOT> org>
AuthorDate: Sun Apr 26 10:59:21 2020 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Sun Apr 26 10:59:21 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8157ada6

www-misc/zoneminder: Replace virtual/ffmpeg

Package-Manager: Portage-2.3.99, Repoman-2.3.22
Signed-off-by: David Seifert <soap <AT> gentoo.org>

 .../{zoneminder-1.30.4-r1.ebuild => zoneminder-1.30.4-r2.ebuild}      | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/www-misc/zoneminder/zoneminder-1.30.4-r1.ebuild b/www-misc/zoneminder/zoneminder-1.30.4-r2.ebuild
similarity index 98%
rename from www-misc/zoneminder/zoneminder-1.30.4-r1.ebuild
rename to www-misc/zoneminder/zoneminder-1.30.4-r2.ebuild
index 046cf31ef6f..b376f103bc8 100644
--- a/www-misc/zoneminder/zoneminder-1.30.4-r1.ebuild
+++ b/www-misc/zoneminder/zoneminder-1.30.4-r2.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2019 Gentoo Authors
+# Copyright 1999-2020 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 # TO DO:
@@ -57,7 +57,7 @@ DEPEND="
 	dev-php/pecl-apcu:*
 	sys-auth/polkit
 	sys-libs/zlib
-	virtual/ffmpeg
+	media-video/ffmpeg
 	virtual/httpd-php:*
 	virtual/jpeg:0
 	virtual/perl-ExtUtils-MakeMaker


^ permalink raw reply related	[flat|nested] 9+ messages in thread

end of thread, other threads:[~2020-04-26 11:01 UTC | newest]

Thread overview: 9+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2017-04-12 22:00 [gentoo-commits] repo/gentoo:master commit in: www-misc/zoneminder/ Andreas Hüttel
  -- strict thread matches above, loose matches on Subject: below --
2020-04-26 11:00 David Seifert
2019-02-07 16:37 Brian Evans
2018-12-02 22:48 Andreas K. Hüttel
2018-03-14 22:48 Kent Fredric
2017-04-12 22:00 Andreas Hüttel
2016-12-15 21:07 Andreas Hüttel
2016-03-10 23:10 Andreas Hüttel
2015-12-08 18:54 Brian Evans

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox